#pragma once

#define MODE_PANDAR40P 1
#define MODE_PANDAR40P_RAW 2
#define MODE_HESAIXT32 3
#define MODE_HESAIXT32_RAW 4
#define MODE_HESAIXT32_SIMPLE 5
#define MODE_PANDAR40P_OLD 6
#define MODE_VELODYNE32E 7
#define BY_FRAME(type)                                   \
    (type == MODE_PANDAR40P || type == MODE_HESAIXT32 || \
     type == MODE_HESAIXT32_SIMPLE || type == MODE_PANDAR40P_OLD)
#define IS_PANDAR40P(type) (type == MODE_PANDAR40P || type == MODE_PANDAR40P_RAW || type == MODE_PANDAR40P_OLD)
#define IS_HESAIXT32(type) (type == MODE_HESAIXT32 || type == MODE_HESAIXT32_RAW || type == MODE_HESAIXT32_SIMPLE)
// MEMS
#define MODE_ROBOSM1 8
#define MODE_INNOVUSION 9
#define IS_MEMS(type) (type == MODE_ROBOSM1 || type == MODE_INNOVUSION)
// THIRD BAG
#define MODE_JD 10
#define MODE_JD_SELF 11
#define IS_JD(type) (type == MODE_JD || type == MODE_JD_SELF || type == MODE_LIO_JD)
#define MODE_UDI 12
#define MODE_HOUMO 13
#define IS_FREEZE_STOP(type) (type == MODE_JD || type == MODE_JD_SELF || type == MODE_UDI)
// THIRD ODOM FILE
#define MODE_INCEPTIO 20
#define MODE_INCEPTIO_WHEEL 21
#define IS_INCEPTIO(type) (type == MODE_INCEPTIO || type == MODE_INCEPTIO_WHEEL)
// LIO
#define MODE_LIO_JD 50

