#ifndef IMU_RECEIVER_H
#define IMU_RECEIVER_H

#include "../sensor_subscriber.h"

namespace juefx{

class IMUReceiver : public SensorSubscriber
{
public:
    using Ptr = boost::shared_ptr<IMUReceiver>;
    IMUReceiver(const SysController::Ptr &sys);

    void Callback(const IMURawData& iMURawData);

};

} // end of namespace
#endif // IMU_RECEIVER_H
