#pragma once

class Jet
{
public:
    static double GetValue(const double x) { return x; }

    static const double *GetDerivative(const double x, int &n)
    {
        n = 0;
        return nullptr;
    }

    template <typename T>
    static double GetValue(const T &jet_x) { return jet_x.a; }

    template <typename T>
    static const double *GetDerivative(const T &jet_x, int &n)
    {
        n = jet_x.v.size();
        return jet_x.v.data();
    }
};

