#ifndef GRIDBASE_H
#define GRIDBASE_H

#include "utils/basic_types.h"
#include "../../voxel_map/interface/voxel_map.h"

class LocateGridBase
{
public:
    LocateGridBase(Vector2i index, float resolution);

    Vector2i getIndex();

    float getResolution();

    Vector2f getOrigin();

    virtual void configInfo() = 0;

protected:
    Vector2f origin_ = Vector2f::Zero();
    Vector2i index_;
    float resolution_;

};

#endif // GRIDBASE_H
