#pragma once

#include <chrono>

#define TIMER_START(start) \
    auto start = std::chrono::system_clock::now();

#define TIMER_END(start, seconds)                                                       \
    auto end = std::chrono::system_clock::now();                                        \
    auto duration = std::chrono::duration_cast<std::chrono::microseconds>(end - start); \
    double seconds = double(duration.count()) / std::chrono::microseconds::period::den;
