#pragma once

#include "pcl_point_type.h"
#include "vector_point_type.h"

void vector_voxel_filter(const PointCloudJ::Ptr pcloud, VectorCloud& vcloud,
                         float resolution, float max_range = -1);

void clouds_voxel_filter(const PointCloudJ::Ptr pcloud, PointCloudJ::Ptr& clouds,
                         float resolution, float max_range = -1);

void fix_num_rand_filter(VectorCloud& vector, uint32_t fix_num);
