#ifndef CLOUD_RECEIVER_H
#define CLOUD_RECEIVER_H

#include "../sensor_subscriber.h"
#include "../../localize_utils/pcl_point_type.h"

namespace juefx{

class CloudReceiver : public SensorSubscriber
{
public:
    using Ptr = boost::shared_ptr<CloudReceiver>;
    CloudReceiver(const SysController::Ptr &sys);

    void Callback(const PointCloudInter &cloud, double currCloudTime);
};

} // end of namespace

#endif // CLOUD_RECEIVER_H
