#ifndef WHEEL_RECEIVER_H
#define WHEEL_RECEIVER_H

#include "../sensor_subscriber.h"

namespace juefx{

class WheelReceiver : public SensorSubscriber
{
public:
    using Ptr = boost::shared_ptr<WheelReceiver>;
    WheelReceiver(const SysController::Ptr &sys);

    void Callback(const WheelRawData& wheelRawData);

private:
    double lastWheelTime_ = -1;
};

} // end of namespace
#endif // WHEEL_RECEIVER_H
