#ifndef SENSOR_SUBSCRIBER_H
#define SENSOR_SUBSCRIBER_H

#include "localize_utils/utils.h"
#include "system/syscontroller.h"
#include "file_reader/file_reader.h"
#ifndef ENABLE_ROS
#ifdef ENABLE_BAG

#else
#include "file_reader/file_reader.h"
#endif
#endif

namespace juefx{

class SensorSubscriber
{
public:
    using Ptr = boost::shared_ptr<SensorSubscriber>;
    SensorSubscriber(const SysController::Ptr &sys);

protected:
    SysController::Ptr sys_;
};

} // end of namespace
#endif // SENSOR_SUBSCRIBER_H
