#pragma once

#include "matcher_interface.h"

namespace juefx {

class ScanMatcher;

class ICPMatcher : public MatcherInterface
{
public:
    ICPMatcher();
    ~ICPMatcher();

    void LoadPointCloudMap(const PointCloudJ::Ptr pcloud_map);
    float MatchPointCloud(const PointCloudJ::Ptr pcloud, const Eigen::Isometry3f init_pose,
                          Eigen::Isometry3f &final_pose);

private:
    ScanMatcher *matcher_;
};

}
