#include "gridbase.h"

LocateGridBase::LocateGridBase(
        Vector2i index,
        float resolution)
    :index_(index),
      resolution_(resolution)
{
    origin_ = Vector2f((float)index_.x() + 0.5,
                       (float)index_.y() + 0.5) * resolution_;
}

Vector2i LocateGridBase::getIndex()
{
    return index_;
}

float LocateGridBase::getResolution()
{
    return resolution_;
}

Vector2f LocateGridBase::getOrigin()
{
    return origin_;
}
