#ifndef SQUAREAREAMANAGER_H
#define SQUAREAREAMANAGER_H

#include "areamanager.h"

namespace localize {

class SquareAreaManager : public AreaManager
{
public:
    SquareAreaManager(const uint32_t &resulotion,
            const uint32_t &sideItemCnt);

    SquareAreaManager(){}

    void setResolution(const uint32_t &resulotion){
        resulotion_ = resulotion;
    }

    void setSideItemCnt(const uint32_t &sideItemCnt){
        sideItemCnt_ = sideItemCnt;
        shiftSideItemOffset_ = sideItemCnt_ / 2;
        setItemCnt(sideItemCnt_, sideItemCnt_);
    }
protected:
    uint32_t resulotion_ = 0;

    uint32_t sideItemCnt_ = 0;

    uint32_t shiftSideItemOffset_ = 0;
};
}
#endif // SQUAREAREAMANAGER_H
